# DOSContainer the framework

This repository houses the framework of DOSContainer. The DOSContainer
project started out over a year ago in response to me becoming aware of
community-created "packs" of games. These come in the form of large hard
drive images with a menu system layered on top, allowing for an easy end-user
experience in playing a large number of retro games in platforms like the
IBM-compatible PC and Amiga. While I tip my hat to the creators of these
packs in admiration of their skill and dedication, these were not what I was
personally looking for. DOSContainer was born.

The version you see here is the newly imagined Rust version. It's mostly
a rewrite of what is already there because Bash becomes very unwieldy.

## So what is it?

DOSContainer aims to be a tool that sits in the middle between the retro
purist who does everything by hand, and the casual gamer who enjoys playing
from game-packs. Note that there is absolutely no value judgement in there
on my part. Everything goes, I'm just scratching my own personal itch here.
Now if I had to try and sell DOSContainer it'd be something along the lines
of a declarative solution to generating MS-DOS compatible hard drive images
in a reliable and repeatable way. You can very easily mix and match different
versions of operating systems, drivers and utilities with your games to see
which combination is optimal for you. Just write a configuration YAML, run
the script, and there you are.

## What is it not?

DOSContainer is not an emulator of any kind, nor is it intended to be usable
by anyone besides myself. Yes, I'm selfish like that. I can write YAML and I
consider it reasonable for a configuration format. So no graphical interface,
or someone else should build that to spit out YAML's for them. I'm open to
any suggestion in that regard.

## How to use it

At this point? You don't. The core features are not complete yet. Check out
the CONTRIBUTING.MD file in the root of the project to find out how you can
help.

## Yes.. but.. PIRACY!

Indeed. You're not supposed to pirate copyrighted works and all that. Yet I
sourced every single file DOSContainer downloads from Archive.org, which offers
them in the open and has been proudly doing so for years. Since I'm not really
doing anything different, I'm assuming the rights holders don't mind or don't
care enough. If you are a rights holder and you don't like what I'm doing,
I will cooperate with any reasonable request sent to archive@area536.com to
rectify any issues. If you're not a rights holder to any piece of software
this project references, you're welcome to not use it but I'm not interested
in hearing about it.