#[derive(Debug)]
pub struct DownloadedFile {
    filename: String,
    bytes: Vec<u8>,
}

impl DownloadedFile {
    pub fn new(filename: &str, bytes: &[u8]) -> Self {
        DownloadedFile {
            filename: filename.to_string(),
            bytes: bytes.to_vec(),
        }
    }

    pub fn get_bytes(&self) -> &[u8] {
        self.bytes.as_slice()
    }

    pub fn get_name(&self) -> &str {
        self.filename.as_str()
    }

    pub fn set_name(&mut self, name: &str) {
        self.filename = name.to_string();
    }

    pub fn set_bytes(&mut self, bytes: &[u8]) {
        self.bytes = bytes.to_vec();
    }
}